Subject: [PATCH 07/11] ep93xx: Make syscon access functions private to SoC

From: [email-masked] (Ryan Mallon)
Date: Sat, 14 Jan 2012 08:43:01 +1100

On 14/01/12 04:38, H Hartley Sweeten wrote:
> On Tuesday, January 10, 2012 8:15 PM, Ryan Mallon wrote:
>> The syscon access functions are no longer used outside of the
>> core EP93xx code. Move their definitions into the SoC code.
>>
>> Cc: Hartley Sweeten <[email-masked]>
>> Cc: Mika Westerberg <[email-masked]>
>> Signed-off-by: Ryan Mallon <[email-masked]>
>> ---
>>  arch/arm/mach-ep93xx/clock.c                 |    1 +
>>  arch/arm/mach-ep93xx/core.c                  |    2 --
>>  arch/arm/mach-ep93xx/include/mach/platform.h |   14 --------------
>>  arch/arm/mach-ep93xx/soc.h                   |   14 ++++++++++++++
>>  4 files changed, 15 insertions(+), 16 deletions(-)
> It looks like part of this patch is word wrapped, or it could just be me...

Odd, not sure what happened there. The code I have looks correct, and it
was sent using git format-patch/send-email.

> <snip>
>
>> diff --git a/arch/arm/mach-ep93xx/soc.h b/arch/arm/mach-ep93xx/soc.h index b0ef89b..958282a 100644
>> --- a/arch/arm/mach-ep93xx/soc.h
>> +++ b/arch/arm/mach-ep93xx/soc.h
>> @@ -13,6 +13,20 @@
>>  #ifndef _EP93XX_SOC_H
>>  #define _EP93XX_SOC_H
>>  
>> +/* EP93xx System Controller software locked register write */ void 
>> +ep93xx_syscon_swlocked_write(unsigned int val, void __iomem *reg); void 
>> +ep93xx_devcfg_set_clear(unsigned int set_bits, unsigned int 
>> +clear_bits);
>> +
>> +static inline void ep93xx_devcfg_set_bits(unsigned int bits) {
>> +	ep93xx_devcfg_set_clear(bits, 0x00);
>> +}
>> +
>> +static inline void ep93xx_devcfg_clear_bits(unsigned int bits) {
>> +	ep93xx_devcfg_set_clear(0x00, bits);
>> +}
>> +
>>  /*
>>   * EP93xx Physical Memory Map:
>>   *
> I would prefer these functions to be after all the #define's.  But, your call...
>
> Acked-by: H Hartley Sweeten <[email-masked]>
>
I'll move them.

Thanks,
~Ryan